ATA_SCSIOP_INQ_80(9)

NAME
ata_scsiop_inq_80 - Simulate INQUIRY EVPD page 80, device serial number

SYNOPSIS

unsigned int ata_scsiop_inq_80 (struct ata_scsi_args * args, u8 * rbuf, unsigned int buflen);

ARGUMENTS

args
    device IDENTIFY data / SCSI command of interest.

rbuf
    Response buffer, to which simulated SCSI cmd output is sent.

buflen
    Response buffer length.

DESCRIPTION

Returns ATA device serial number.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.